Page MenuHomePhabricator

Replace and deprecate abandoned LESS variable greys from Wikimedia products
Closed, ResolvedPublic

Description

Outdated grey LESS variables, before current WikimediaUI color palette has been established, to replace and deprecate:


Products

  • MediaWiki core: mediawiki.ui
  • MediaWiki core: Widgets
  • MediaWiki core: RCFilters
  • Vector
  • MinervaNeue CSS/LESS
    • MinervaNeue SVG
  • MobileFrontend
    • MobileFrontend SVG

Extensions

  • GettingStarted
  • Related Articles
  • UploadWizard

Event Timeline

Volker_E created this task.Aug 9 2017, 6:05 AM

Change 370953 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/RelatedArticles@master] Replace abandoned colors with current WikimediaUI ones

https://gerrit.wikimedia.org/r/370953

Volker_E updated the task description. (Show Details)Aug 9 2017, 9:55 PM
Volker_E updated the task description. (Show Details)Aug 9 2017, 9:58 PM
Volker_E updated the task description. (Show Details)Aug 9 2017, 10:01 PM

Change 370953 merged by jenkins-bot:
[mediawiki/extensions/RelatedArticles@master] Replace abandoned colors with current WikimediaUI ones

https://gerrit.wikimedia.org/r/370953

Change 371082 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/Vector@master] Replace @colorGray9 with static color value #999

https://gerrit.wikimedia.org/r/371082

Change 371099 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Replace abandoned color with current WikimediaUI one

https://gerrit.wikimedia.org/r/371099

Volker_E updated the task description. (Show Details)Aug 10 2017, 5:52 PM
Volker_E updated the task description. (Show Details)Aug 10 2017, 5:58 PM

Change 371082 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Replace @colorGray9 with static color value #999

https://gerrit.wikimedia.org/r/371082

Change 371099 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Replace abandoned color with current WikimediaUI one

https://gerrit.wikimedia.org/r/371099

Change 371120 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MobileFrontend@master] Replace abandoned @colorGray13 with current WikimediaUI one

https://gerrit.wikimedia.org/r/371120

Change 371120 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Replace abandoned @colorGray13 with current WikimediaUI one

https://gerrit.wikimedia.org/r/371120

Volker_E updated the task description. (Show Details)Aug 16 2017, 3:59 PM

So far those were the semantic greys variable names, a search for hex color values makes clear, we're not completely done yet.

Above patch is merged. https://gerrit.wikimedia.org/r/#/c/370503/1 needs rebasing and merging before they come back ;-)!

Volker_E updated the task description. (Show Details)Aug 17 2017, 8:28 PM

Change 372455 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MobileFrontend@master] Replace abandoned @colorGray3 with current WikimediaUI palette one

https://gerrit.wikimedia.org/r/372455

Change 372455 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Replace abandoned @colorGray3 with current WikimediaUI palette one

https://gerrit.wikimedia.org/r/372455

Change 372460 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/GettingStarted@master] Replace abandoned colors with current WikimediaUI ones

https://gerrit.wikimedia.org/r/372460

Change 372460 merged by jenkins-bot:
[mediawiki/extensions/GettingStarted@master] Replace abandoned colors with current WikimediaUI ones

https://gerrit.wikimedia.org/r/372460

Volker_E updated the task description. (Show Details)Aug 17 2017, 9:58 PM

Change 372468 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Replace abandoned @colorGray13 with current WikimediaUI one

https://gerrit.wikimedia.org/r/372468

Change 372468 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Replace abandoned @colorGray13 with current WikimediaUI one

https://gerrit.wikimedia.org/r/372468

Not clear to me why this is Technical Debt. If I understand this task correctly, it's abandoning/deprecating colors used in the UI. From what I can tell from the code changes, there was no refactoring done, just a change in color.

I'm trying to build an understanding of what we've been labeling as TD thus far so that we can come to a common understanding. Please see https://www.mediawiki.org/wiki/Technical_debt for our work in progress definition.

@Jrbranaa Thanks for the pointer. The Technical-Debt tag happened to be added to the parent task by another user as there has been a lot of color values historically grown without any clear design guideline. Now we've got WikimediaUI Base with it's centralized color variables and we're currently under way of replacing the remaining outdated values with central ones before being able to switch over to Less variables. My understanding was that this could be described as technical debt as well.
But I'm fine anyways.

This does seems like technical debt to me. There is an unanswered question about how we define UX debt here: https://www.mediawiki.org/wiki/Topic:Twtqgo3vibq7cz8h

Thanks @Volker_E, I've noticed other examples where parent tasks are the tasks actually describing the technical debt aspect of the change and the subtasks are just work elements towards that goal. I think the description that you've provided is a good example of technical-debt - Going from a distributed approach to setting those values to a central approach. Reduces potential errors and makes life better for developers :-)

Change 373677 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] RCFilters: Align remaining outdated greys to WikimediaUI palette ones

https://gerrit.wikimedia.org/r/373677

Volker_E updated the task description. (Show Details)Aug 24 2017, 9:21 PM
Volker_E updated the task description. (Show Details)Aug 24 2017, 10:27 PM

Change 373677 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Align remaining outdated greys to WikimediaUI palette ones

https://gerrit.wikimedia.org/r/373677

Change 373711 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] widgets: Replace outdated colors with WikimediaUI palette ones

https://gerrit.wikimedia.org/r/373711

Volker_E updated the task description. (Show Details)Aug 25 2017, 1:07 PM
Volker_E updated the task description. (Show Details)
Volker_E added a subscriber: Jdforrester-WMF.

Change 373884 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MobileFrontend@master] Align 'noimage' to WikimediaUI color palette

https://gerrit.wikimedia.org/r/373884

Change 373887 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/RelatedArticles@master] Align 'noimage' to WikimediaUI color palette

https://gerrit.wikimedia.org/r/373887

Change 373898 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MobileFrontend@master] Align SVGs to color palette and optimize

https://gerrit.wikimedia.org/r/373898

Change 373960 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Align SVGs to color palette and optimize

https://gerrit.wikimedia.org/r/373960

Change 373711 merged by jenkins-bot:
[mediawiki/core@master] widgets: Replace outdated colors with WikimediaUI palette ones

https://gerrit.wikimedia.org/r/373711

Change 373960 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Align SVGs to color palette and optimize

https://gerrit.wikimedia.org/r/373960

Change 373884 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Align 'noimage' to WikimediaUI color palette

https://gerrit.wikimedia.org/r/373884

Volker_E updated the task description. (Show Details)Aug 28 2017, 6:54 PM

Change 373898 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Align SVGs to color palette and optimize

https://gerrit.wikimedia.org/r/373898

Change 373887 merged by jenkins-bot:
[mediawiki/extensions/RelatedArticles@master] Align 'noimage' to WikimediaUI color palette

https://gerrit.wikimedia.org/r/373887

Volker_E closed this task as Resolved.Sep 12 2017, 12:22 AM
Volker_E removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)
Volker_E removed a subscriber: gerritbot.
Volker_E raised the priority of this task from High to Needs Triage.Sep 20 2017, 3:36 AM
Volker_E moved this task from Review to Done on the UI-Standardization-Kanban board.
Volker_E renamed this task from Replace and deprecate abandoned greys from Wikimedia products to Replace and deprecate abandoned LESS variable greys from Wikimedia products.Sep 23 2017, 3:00 PM